Subject: Re: gdb + cygwin
From: Earnie Boyd <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 May 1999 19:16:24 -0700 (PDT)

--- Charles Wilson <[email-masked]> wrote:
> Earnie Boyd wrote:
> 
> > --- Charles Wilson <[email-masked]> wrote:
> > >
> > > Okay, I tried this:
> > >     gcc -Wall -c smain.c ===> no errors
> > >     gcc -Wall -c gaaout.c ===> a few errors having to do with a return
> (no
> > > args)
> > > in a function that isn't supposed to return void. After I fixed 'em,
> > >
> > >     gcc -Wall -c gaaout.c ===> no errors
> > >     gcc -o smain smain.o gaaout.o ===> no errors
> > >
> > > execute `smain' ==> core dump. sigh.
> >
> > How about referencing memory location zero due to a NULL pointer reference?
> > This will always SIGSEGV.
> >
> > BTW, Mumit always suggests using Purify or ElectricFence to check the
> memory
> > allocation.  I've often suggested using the -lmmalloc library.
> 
> Well, linking with electricfence on HP-UX showed no problems. Will
> electricfence
> run in cygwin? (I would just try it and see, but perens.com seems to be down
> right
> now, so I can't get the source code). Also, does efence check for NULL
> pointer
> references in addition to memory allocation errors?

Don't know, is the answer to both questions.  I've not had experience with
either Purify or ElectricFence yet.
===
"Earnie Boyd" <mailto:[email-masked]>
CYGWIN RELATED HELP:
 DOCUMENTATION: <http://sourceware.cygnus.com/cygwin/docs.html>
       DLLHELP: <http://www.xraylith.wisc.edu/~khan/software/gnu-win32/>
ARCHIVE SEARCH: <http://www.delorie.com/archives/> OR
                <http://www.eGroups.com/list/gnu-win32/>
_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]